mia-2dmulti-force
Prev | Registration, Comparison, and Transformation of 2D images | Next

### mia-2dmulti-force

#### Sysnopis:

`mia-2dmulti-force` {-o `io`} [ `options` ...] [ `Plugin type: 2dimage/fullcost` ...]

#### Description:

This program evaluates the 2D image cost force norm image of a given cost function set. The input images must be of the same dimensions and gray scale (whatever bit-depth).

#### Options:

-o, --out-file=(output, required); io

  output norm image. For supported file types see Plugin type: 2dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the force normimage weighted sum of costs SSD and NGF of image1.v and image2.v. and store the result to force.v.

    mia-2dmulti-force -o force.v
     image:cost=ssd,src=image1.v,ref=image2.v,weight=0.1
     image:cost=ngf,src=image1.v,ref=image2.v,weight=2.0

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dimageregistration | Home | mia-2dmultiimageregistration